package com.muyu.group.domain;


import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.group.domain.model.GroupActivityModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode()
@TableName(value = "activity_team_info",autoResultMap = true)
public class ActivityTeamInfo extends BaseEntity {
  /**
   * 主键
   */
  @NotNull(message = "主键不能为空")
  private long id;
  /**
   * 拼团名称
   */
  @NotNull(message = "拼团名称不能为空")
  private String name;
  /**
   * 商品ID
   */
  @NotNull(message = "商品ID不能为空")
  private long productId;

  /**
   * 商品活动图
   */
  @NotNull(message = "商品活动图不能为空")
  private String productImage;
  /**
   * 活动简介
   */
  @NotNull(message = "活动简介不能为空")
  private String introduction;
  /**
   * 单位
   */
  @NotNull(message = "单位不能为空")
  private String unit;
  /**
   * 轮播图
   */
  @NotNull(message = "轮播图不能为空")
  private String imageList;
  /**
   * 活动结束时间
   */
  @NotNull(message = "活动结束时间不能为空")
  private Date endTime;
  /**
   * 活动排序
   */
  @NotNull(message = "活动排序不能为空")
  private long sort;
  /**
   * 活动详情
   */
  @NotNull(message = "活动详情不能为空")
  private String content;
  /**
   * 活动状态
   */
  @NotNull(message = "活动状态不能为空")
  private String status;
  /**
   * 策略类型
   */
  private String strategyType;
  /**
   * 策略ID
   */
  private long strategyId;
  public static ActivityTeamInfo inBuild(GroupActivityModel groupActivityModel){
    return ActivityTeamInfo.builder()
            .name(groupActivityModel.getName())
            .productId(groupActivityModel.getProductId())
            .productImage(groupActivityModel.getImage())
            .introduction(groupActivityModel.getIntroduction())
            .unit(groupActivityModel.getUnit())
            .imageList(groupActivityModel.getImageList())
            .endTime(groupActivityModel.getEndTime())
            .sort(groupActivityModel.getSort())
            .content(groupActivityModel.getContent())
            .status(groupActivityModel.getStatus())
            .strategyType(groupActivityModel.getStrategyType())
            .strategyId(groupActivityModel.getStrategyId())
            .build();
  }
}
