package com.muyu.group.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.ProjectInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @program: cloud-server
 * @description: 商品拼团信息模型
 * @author: MengFanKuo
 * @create: 2024-11-22 11:22
 * *
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ActivityProductListModel extends BaseEntity {
    /**
     * 主键
     */
    private Long id;
    /**
     * 商品图片
     */
    private String image;
    /**
     * 商品轮播图
     */
    private String carouselImages;
    /**
     * 规格id
     */
    private Long ruleId;
    public static ActivityProductListModel infoBuild(ProjectInfo projectInfo){
       return ActivityProductListModel.builder()
                .id(projectInfo.getId())
                .carouselImages(projectInfo.getCarouselImages())
                .image(projectInfo.getImage())
                .build();
    }
}
