package com.muyu.group.domain.model;

import com.muyu.group.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.function.Function;

/**
 * @program: cloud-server
 * @description: 团购活动列表查询结果模型
 * @author: MengFanKuo
 * @create: 2024-11-20 23:35
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamInfoListModel {
    private Long id;
    private String name;
    private String productImage;
    private BigDecimal productPrice;
    private BigDecimal teamPrice;
    private Long attendNumber;
    private Long openTeamNumber;
    private Long addTeamNumber;
    private Long teamStock;
    private Long remainStock;
    private Date endTime;
    private String status;
    public static ActivityTeamInfoListModel infoBuild(ActivityTeamInfo activityTeamInfo, Function<ActivityTeamInfoListModel.ActivityTeamInfoListModelBuilder,ActivityTeamInfoListModel> function){
       return function.apply(
               ActivityTeamInfoListModel.builder()
                       .id(activityTeamInfo.getId())
                       .name(activityTeamInfo.getName())
                       .endTime(activityTeamInfo.getEndTime())
                       .productImage(activityTeamInfo.getProductImage())
                       .status(activityTeamInfo.getStatus())
       );
    }
}
