package com.muyu.group.domain.model;

import com.muyu.group.domain.ActivitySkuInfo;
import com.muyu.group.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @program: cloud-server
 * @description: 商品规格模型
 * @author: MengFanKuo
 * @create: 2024-11-23 17:23
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class GroupActivitySkuInfoModel {
    /**
     * 商品规格属性
     */
    private String productSku;
    /**
     * 拼团价格
     */
    private BigDecimal groupPrice;
    /**
     *拼团库存
     */
    private Long groupStock;

}
