package com.muyu.group.domain.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "team_strategy_exemption",autoResultMap = true)
public class TeamStrategyExemptionModel extends BaseEntity {
  /**
   * 持续时间
   */
  private long duration;
  /**
   * 免单人数
   */
  private long exemptionNumber;
  /**
   * 最大购买量
   */
  private long maxBuy;
  /**
   * 单次购买量
   */
  private long oneBuy;
  /**
   * 虚拟人数
   */
  private long virtualNumber;

  //免单团
  public static TeamStrategyExemptionModel freeBuild(GroupActivityModel groupActivityModel){
    return TeamStrategyExemptionModel.builder()
            .exemptionNumber(groupActivityModel.getVirtualNumber())
            .duration(groupActivityModel.getGroupAging())
            .maxBuy(groupActivityModel.getMaxBuy())
            .oneBuy(groupActivityModel.getOneBuy())
            .virtualNumber(groupActivityModel.getGroupNumber())
            .build();
  }
}
