package com.muyu.group.domain.req;

import com.muyu.group.domain.ActivitySkuInfo;
import com.muyu.group.domain.model.GroupActivityModel;
import com.muyu.group.domain.model.TeamStrategyExemptionHundredModel;
import com.muyu.group.domain.model.TeamStrategyExemptionModel;
import com.muyu.group.domain.model.TeamStrategyExemptionOrdinaryModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * @program: cloud-server
 * @description: 拼团活动表
 * @author: MengFanKuo
 * @create: 2024-11-23 15:00
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class GroupActivityInfoReq {
    /**
     * 拼团名称
     */
    private String groupName;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String image;
    /**
     * 活动简介
     */
    private String groupIntroduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private Integer sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 活动时间
     */
    private Date activeTime;
    /**
     * 拼团时效
     */
    private Long groupAging;
    /**
     * 拼团人数
     */
    private Long groupNumber;
    /**
     * 最大购买数量
     */
    private Long maxBuy;
    /**
     * 单次购买数量
     */
    private Long oneBuy;
    /**
     * 虚拟人数
     */
    private Long virtualNumber;
    /**
     * 商品规格
     */
    private List<ActivitySkuInfo> projectSkuInfoList;

    public GroupActivityModel inBuild() {
        return GroupActivityModel.builder()
                .name(this.groupName)
                .productId(this.productId)
                .content(this.content)
                .projectSkuInfoList(this.projectSkuInfoList)
                .imageList(this.imageList)
                .introduction(this.groupIntroduction)
                .endTime(this.endTime)
                .sort(this.sort)
                .unit(this.unit)
                .status(this.status)
                .image(this.image)
                .groupNumber(this.groupNumber)
                .groupAging(this.groupAging)
                .maxBuy(this.maxBuy)
                .oneBuy(this.oneBuy)
                .virtualNumber(this.virtualNumber)
                .strategyType(this.strategyType)
                .build();
    }



}
