package com.muyu.group.domain.resp;

import com.muyu.group.domain.model.ActivityTeamInfoListModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TeamInfoListResp {
    private Long id;
    private String name;
    private String productImage;
    private BigDecimal productPrice;
    private BigDecimal teamPrice;
    private Long attendNumber;
    private Long openTeamNumber;
    private Long addTeamNumber;
    private Long teamStock;
    private Long remainStock;
    private Date endTime;
    private String status;

    public static TeamInfoListResp infoList(ActivityTeamInfoListModel activityTeamInfoListModel) {
        return TeamInfoListResp.builder()
                .name(activityTeamInfoListModel.getName())
                .id(activityTeamInfoListModel.getId())
                .addTeamNumber(activityTeamInfoListModel.getAddTeamNumber())
                .attendNumber(activityTeamInfoListModel.getAttendNumber())
                .openTeamNumber(activityTeamInfoListModel.getOpenTeamNumber())
                .endTime(activityTeamInfoListModel.getEndTime())
                .productImage(activityTeamInfoListModel.getProductImage())
                .productPrice(activityTeamInfoListModel.getProductPrice())
                .teamPrice(activityTeamInfoListModel.getTeamPrice())
                .teamStock(activityTeamInfoListModel.getTeamStock())
                .remainStock(activityTeamInfoListModel.getRemainStock())
                .status(activityTeamInfoListModel.getStatus())
                .build();
    }
}
