package com.muyu.activity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.group.domain.ActivityTeamOpenInfo;
import com.muyu.group.domain.muen.TeamOpenInfoEnum;
import com.muyu.activity.mapper.ActivityTeamOpenInfoMapper;
import com.muyu.activity.service.ActivityTeamOpenInfoService;
import org.springframework.stereotype.Service;

/**
 * @program: cloud-server
 * @description: 团购活动
 * @author: MengFanKuo
 * @create: 2024-11-21 10:35
 * *
 */
@Service
public class ActivityTeamOpenInfoServiceImpl extends ServiceImpl<ActivityTeamOpenInfoMapper, ActivityTeamOpenInfo> implements ActivityTeamOpenInfoService {
    /**
     * 根据活动id 和团购类型查找 团购活动执行表 开团和参团人数
     * @param teamId
     * @param teamOpenInfoEnum
     * @return
     */
    @Override
    public Long getTeamOpenByTeamIdAndType(Long teamId, TeamOpenInfoEnum teamOpenInfoEnum) {
        LambdaQueryWrapper<ActivityTeamOpenInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamId,teamId);
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamType,teamOpenInfoEnum.code());
        return this.count(queryWrapper);
    }
}
