package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 品类信息Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface CategoryInfoMapper extends BaseMapper<CategoryInfo> {
    /**
     * 查询子集
     * @param parentId
     * @return
     */
    List<CategoryInfo> selByParentId(@Param("parentId") Long parentId);

    /**
     * 查询
     * @param id
     * @return
     */
    List<ProjectInfo> selectByProjectInfo(@Param("id") Long id);
    //品类属性
    AttributeInfo selectCateById(@Param("aLong") Long aLong);
    //品类属性组
    AttributeGroup selectGroup(@Param("aLong") Long aLong);
    //品牌信息
    BrandInfo seleteBrand(@Param("aLong") Long aLong);

}
